## Function `hmsToDegrees( hms )`

Description:
  Converts a formatted hours:minutes:seconds string to an angle in degrees. Delimiters may be colon, space, characters `hm[s]`, or some others. Additional spaces and leading +/- are permitted. The :seconds part is optional.

Parameters:
  `hms` (String)
    formatted HMS string

Return Value (floating point):
  angle in degrees specified by `hms`

Signature:
  `double hmsToDegrees(String)`